<?php

use admin_application\link\UserMainLink;
class lib_head {
	public static function call_head($parameter, $filename = 'lib_head', $outHTML = null) {
		$espcms_admin_templates = espcms_admin_template();
		$espcms_admin_templates->libfile = true;
		$espcms_admin_templates->into('quit', UserMainLink::getLink('quit'));
		$espcms_admin_templates->into('editpassword', UserMainLink::get_user_link_array('editpassword'));
		$espcms_admin_templates->into('updatesoft', UserMainLink::get_user_link_array('UpgradeSoft'));
		$espcms_admin_templates->into('cachemanage', UserMainLink::get_user_link_array('editCacheManage'));
		$espcms_admin_templates->into('edituserlog', UserMainLink::get_user_link_array('edituserlog'));
		$espcms_admin_templates->into('about', UserMainLink::get_user_link_array('about'));
		if (!empty($outHTML)) {
			$output = $espcms_admin_templates->fetch(null, null, $outHTML);
		} else {
			$output = $espcms_admin_templates->fetch('public/' . $filename);
		}
		return $output;
	}
}
